Subject: RE: [Sip] Reason header simplification

From: Jean-Francois Mule <[email-masked]>
Date: Wed, 20 Mar 2002 10:22:53 -0700

Flemming Andreasen wrote:
> > > Also I don't like to idea of sending ISUP (Q.850) or ISDN
> > > (Q.931) response
> > > codes around inside a SIP network.
If i am correct, q.850 does address cause codes for both ss7 isup and q.931 (dss1/isdn).

> True, but the idea with SIP is not to replicate ISUP or 
> Q.931. 
we all agree here and let's not mud the water.
The question is more general than "foreign" pstn networks!  How do you deal with instant messaging reason codes and the "not at home" reason for e.g.?  I would rather see this reason header be used and extended with adequate namespaces for other protocols rather than have to slap all the non "pure" sip reason codes inside bodies.

> I agree with Rohan here. Carrying "foreign" reason 
> codes inside the SIP protocol itself is counter to the way we 
> normally try to use SIP. The SIP-T framework is a good 
> example of this and we should continue along those lines.
fine with me but again, why not create a more general reason header.

> If this information is only for non-SIP end-systems, then why 
> does it have to be in a SIP header ?
good point, there are some sip end-systems that could use other protocols reason codes too.

Jean-Francois.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip